import { request } from "@/utils/request";

// 获取物料列表
export function getMaterialList(params) {
  return request({
    url: "/pms/iot-main-work-order-bom-material/workOrderMaterials",
    method: "get",
    params
  });
}
// 新增物料 查询物料主数据

export function getMaterialListData(params) {
  return request({
    url: "/rq/iot-material/page",
    method: "get",
    params
  });
}
// 物料详情
export function getMaterialDetail(params) {
	return request({
    url: "/pms/iot-main-work-order-bom-material/page",
    method: "get",
    params
  });
}
// 物料详情 - 维修工单
export function getRepairMaterialDetail(params) {
	return request({
    url: "/rq/iot-maintain-materials/page",
    method: "get",
    params
  });
}